> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leanpay.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Find misc operation by id



## OpenAPI

````yaml https://public.leanpay.fr/openapi/leanpay_api_documentation.swagger.yaml get /misc-operations/{miscOperationId}
openapi: 3.1.1
info:
  version: 1.0.0
  title: LeanPay Api documentation
  contact:
    email: integration@leanpay.fr
servers:
  - url: https://api.leanpay.fr/v1/public
security: []
tags:
  - name: clients
    description: Routes related to clients
  - name: invoices
    description: Routes related to invoices
  - name: credit-notes
    description: Routes related to credit notes
  - name: misc-operations
    description: Routes related to misc operations
  - name: contacts
    description: Routes related to client contacts
  - name: addresses
    description: Routes related to client addresses
  - name: payments
    description: Routes related to invoice payments
  - name: portal-payments
    description: >-
      Routes related to portal payments (online payments made by debtors from
      the customer portal)
  - name: paybacks
    description: Routes related to credit note paybacks
  - name: links
    description: Routes related to invoice/credit note links
  - name: comments
    description: Routes related to comments
  - name: deleted-elements
    description: Routes related to deleted elements
  - name: client-properties
    description: Routes related to client properties
paths:
  /misc-operations/{miscOperationId}:
    get:
      tags:
        - misc-operations
      summary: Find misc operation by id
      parameters:
        - name: miscOperationId
          in: path
          description: Id of the misc operation
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Found misc operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MiscOperationResponse'
        '400':
          description: Invalid misc operation id
        '404':
          description: Misc operation not found
      security:
        - authorization: []
components:
  schemas:
    MiscOperationResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        tenantId:
          type: string
          format: uuid
        clientId:
          type: string
          format: uuid
        externalId:
          type: string
        defaultCurrencyAmount:
          type: integer
          minimum: 0
          description: >-
            Absolute value of the operation amount in the tenant's default
            currency
        amount:
          type: integer
          minimum: 0
          description: Absolute value of the operation amount in the operation currency
        currency:
          type: string
        date:
          type: string
          format: date-time
        description:
          type:
            - string
            - 'null'
        type:
          type: string
          enum:
            - debit
            - credit
          description: Direction of the misc operation entry
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
  securitySchemes:
    authorization:
      type: apiKey
      name: Authorization
      in: header

````